PCAP_LOOKUPNET(3) | Library Functions Manual | PCAP_LOOKUPNET(3)

# NAME

pcap_lookupnet - find the IPv4 network number and netmask for a device

# SYNOPSIS

    #include <pcap/pcap.h>

    char errbuf[PCAP_ERRBUF_SIZE];

    int pcap_lookupnet(const char *device, bpf_u_int32 *netp,
    bpf_u_int32 *maskp, char *errbuf);

# DESCRIPTION

pcap_lookupnet() is used to determine the IPv4 network number and mask associated with the network device device. Both netp and maskp are bpf_u_int32 pointers.

# RETURN VALUE

pcap_lookupnet() returns 0 on success and -1 on failure. If -1 is returned, errbuf is filled in with an appropriate error message. errbuf is assumed to be able to hold at least PCAP_ERRBUF_SIZE chars.

# SEE ALSO

pcap(3)

3 January 2014 |